#if !defined(AFX_KEYTYPEDLG_H__CB2C6067_790E_11D3_9C20_00609712FBEF__INCLUDED_)
#define AFX_KEYTYPEDLG_H__CB2C6067_790E_11D3_9C20_00609712FBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// KeyTypeDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CKeyTypeDlg dialog

class CKeyTypeDlg : public CDialog
{
// Construction
public:
	CMapPtrToWord *m_pmap;
	bool m_bDirty;

	CKeyTypeDlg(CWnd* pParent = NULL);   // standard constructor
	void SetMap(CMapPtrToWord *);
	//void GetMap(CMapPtrToWord &);
	
// Dialog Data
	//{{AFX_DATA(CKeyTypeDlg)
	enum { IDD = IDD_DIALOG_KEYTYPE };
	CButton	m_btModify;
	CListCtrl	m_listTypes;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeyTypeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CKeyTypeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnClickListTypes(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnModify();
	afx_msg void OnRemove();
	afx_msg void OnAdd();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KEYTYPEDLG_H__CB2C6067_790E_11D3_9C20_00609712FBEF__INCLUDED_)
